function maintenanceStatus()
{
  if (wAnalyzeResult)
  {
    wAnalyzeResult.LoadOCMState();
    
    switch (wAnalyzeResult.OCMTaskWorking)
    {
      case 0:
          return 'good';
          break;
      case 1:
          return 'warning';
          break;
      case 2:
          return 'critical';
          break;
      default:
        return 'good';
    }
  }
  else
  {
    return 'critical';
  }
}

function maintenanceLinkStatus(status)
{
  return '<a onclick="execApp(\'OneClick.exe\', \'/view=schedule\');" tabindex="100">' +
      translate('<localized>» Einstellungen ändern</localized>') +
    '</a><br />' +
    '<a onclick="execApp(\'OneClick.exe\');" tabindex="110">' +
      translate('<localized>» 1-Klick-Wartung starten</localized>') +
    '</a>';
}
